.steps {
    position: relative;
    padding-top: 35px;
}

.steps::before {
    content: '';
    position: absolute;
    display: block;
    height: 4px;
    width: 100%;
    background: #efefef;
    top: 49px;
    left: 0;
    z-index: 1;
}

.steps__inner {
    width: 800px;
    margin: -10px auto -10px;
    overflow: hidden;
    padding-top: 10px;
    padding-bottom: 56px;
}

.steps__list {
    display: flex;
    justify-content: space-between;
    z-index: 2;
    position: relative;
}

.steps__item {
    font-size: 0;
    cursor: pointer;
    position: relative;
    display: flex;
    gap: 12px;
    align-items: baseline;
    background: white;
}

.steps__item:hover .steps__number {
    background-color: var(--color-main);
}

.steps__item:hover .steps__name {
    color: var(--color-main);
}

.steps__item-wrap {
    position: relative;
}

.steps__item-wrap::after {
    content: "";
    display: block;
    opacity: 1;
    position: absolute;
    left: 50%;
    top: 14px;
    width: 200px;
    height: 4px;
    background: #efefef;
    transition: opacity 150ms ease-in-out;
    z-index: -2;
}

.steps__item-wrap:hover::after {
    background: var(--color-main);
}

.steps__item-wrap:hover .steps__number {
    background-color: var(--color-main);
    box-shadow: 0 0 9px 0 var(--color-main);
}

.steps__item-wrap:hover .steps__name {
    color: var(--color-main);
}

.steps__item-wrap:first-child .steps__item {
    padding: 0 9px 0 16px;
}

.steps__item-wrap:last-child .steps__item {
    padding: 0 11px 0 10px;
}

.steps__item-wrap:last-child .steps__number {
    text-align: start;
    padding-left: 6px;
}

.steps__item-wrap:nth-child(2) .steps__item {
    padding: 0 8px 0 10px;
}

.steps__item-wrap:nth-child(3) .steps__item {
    padding: 0 9px 0 10px;
}

.steps__item-wrap:last-child::after {
    display: none;
}

.steps__item-wrap.active::after {
    background: var(--color-main);
}

.steps__item-wrap.active:last-child::after {
    display: none;
}

.steps__item-wrap.active .steps__number {
    background-color: var(--color-main);
    box-shadow: 0 0 9px 0 var(--color-main);
}

.steps__item-wrap.active .steps__name {
    color: var(--color-main);
}

.steps__number, .steps__name {
    display: inline-block;
    font-family: ProximaNova-Semibold, Roboto-Regular, Arial, Helvetica, sans-serif;
    font-size: 18px;
    line-height: normal;
    font-weight: 400;
    letter-spacing: .5px;
}

.steps__number {
    width: 32px;
    height: 32px;
    font-family: ProximaNova-Semibold, Roboto-Regular, Arial, Helvetica, sans-serif;
    line-height: 24px;
    box-shadow: 0 0 9px 0 rgba(0, 0, 0, 0.25);
    background-color: #9e9f9e;
    border: solid 4px #ffffff;
    border-radius: 50%;
    text-align: center;
    color: #fff;
    box-sizing: border-box;
    letter-spacing: 0;
}

.steps__name {
    color: #9e9f9e;
    margin-top: -4px;
}

.step-dropdown {
    //min-height: 165px;
    position: relative;
}

.step-dropdown__inner {
    margin-top: 28px;
}

.step-dropdown__content {
    min-height: 126px;
    box-sizing: border-box;
    padding-left: 161px;
    background: url("../img/steps_hand.svg") no-repeat 0 0;
    background-size: 129px 126px;
}

.step-dropdown__text {
    line-height: 21px;
    color: #4a4a4a;
    letter-spacing: .25px;
    font-size: 15px;
}

@media screen and (max-width: 1439px) {
    .steps__inner {
        width: 640px;
    }

    .steps__item {
        flex-direction: column;
        align-items: center;
        background: transparent;
    }

    .steps__item-wrap:nth-child(n) .steps__item {
        padding: 0;
    }

    .steps__item::before {
        content: '';
        position: absolute;
        width: 61px;
        height: 32px;
        background: white;
        z-index: -1;
    }
}

@media screen and (max-width: 767px) {
    .steps__inner {
        width: auto;
        max-width: 100%;
        padding: 10px 24px 60px 10px;
    }

    .steps::before {
        display: none;
    }

    .steps__list {
        flex-direction: column;
        gap: 35px;
    }

    .steps__item-wrap::after {
        left: -24px;
        width: calc(100% + 48px);
    }

    .steps__item-wrap:nth-child(n) .steps__item {
        padding: 0 14px;
    }

    .steps__item-wrap:last-child::after, .steps__item-wrap.active:last-child::after {
        display: block;
    }

    .steps__item-wrap.active::after, .steps__item-wrap:hover::after {
        background: #efefef;
    }

    .steps__item {
        flex-direction: row;
        align-items: baseline;
        width: fit-content;
        background: white;
    }

    .steps__item::before {
        display: none;
    }

    .step-dropdown__content {
        background: none;
        padding-left: 54px;
        min-height: auto;
    }

    .step-dropdown__inner {
        margin-top: -21px;
    }

    .step-dropdown {
        min-height: auto;
    }
}
@media screen and (min-width: 1280px) {
    .steps__inner {
        width: auto;
        max-width: 960px;
        margin: -10px 321px -10px;
    }
    .steps__list.tabs {
        margin-left: auto;
        margin-right: auto;
        max-width: 638px;
    }
}
@media screen and (min-width: 1440px) {
    .steps__list.tabs {
        max-width: 798px;
    }
}
@media screen and (min-width: 1610px) {
    .steps__inner {
        max-width: 798px;
        width: 100%;
        margin: -10px auto -10px;
    }
}